MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
DsdLib.hxx File Reference
`#include "system/ByteOrder.hxx"`
`#include "input/Offset.hxx"`
`#include "Compiler.h"`
`#include <stdint.h>`
Include dependency graph for DsdLib.hxx:

Go to the source code of this file.

## Data Structures
struct | DsdId
class | DsdUint64
class | DffDsdUint64

## Functions
bool | dsdlib_skip_to (DecoderClient *client, InputStream &is, offset_type offset)
bool | dsdlib_skip (DecoderClient *client, InputStream &is, offset_type delta)
gcc_const bool | dsdlib_valid_freq (uint32_t samplefreq)
| Check if the sample frequency is a valid DSD frequency. More...
void | dsdlib_tag_id3 (InputStream &is, const TagHandler &handler, void *handler_ctx, offset_type tagoffset)
| Add tags from ID3 tag. More...

## Function Documentation

bool dsdlib_skip | ( | DecoderClient * | client,
|  | InputStream & | is,
|  | offset_type | delta
| ) |  |

bool dsdlib_skip_to | ( | DecoderClient * | client,
|  | InputStream & | is,
|  | offset_type | offset
| ) |  |

void dsdlib_tag_id3 | ( | InputStream & | is,
|  | const TagHandler & | handler,
|  | void * | handler_ctx,
|  | offset_type | tagoffset
| ) |  |

Add tags from ID3 tag.

All tags commonly found in the ID3 tags of DSF and DSDIFF files are imported

gcc_const bool dsdlib_valid_freq | ( | uint32_t | samplefreq | ) |

Check if the sample frequency is a valid DSD frequency.